;;;; lookup-table.scm
;;;; Kon Lovett, Sep '09

(include "chicken-primitive-object-inlines")
(include "chicken-primitive-alist")

;;;

(module lookup-table (;export
  dict-safe-mode
  make-dict
  alist->dict
  dict->alist
  dict?
  dict-equivalence-function
  dict-count
  dict-keys
  dict-values
  dict-ref
  dict-set!
  dict-exists?
  dict-update!
  dict-update-list!
  dict-update-dict!
  dict-delete!
  dict-for-each
  dict-search
  dict-merge!
  dict-print )

  (import
    scheme chicken
    srfi-1 srfi-69 ports data-structures extras
    miscmacros type-checks type-errors srfi-9-ext)

  (require-library srfi-1 srfi-69 extras miscmacros type-checks type-errors srfi-9-ext)

(include "lookup-table-body")

) ;module lookup-table
